> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Request

> This API is used to create a unique payment request with a specific amount directly to the end customer without Transact Bridge's Checkout page. Once the user pays the requested amount through the selected payment channel, the partner gets a webhook call for a successful credit of the same deposit. The partner then needs to send the required verification details for the payment using the Upload Verification Details API.

Payment status and transaction verification status can be found using the Get Transaction API.

**Note**: This API endpoint is not available to all partners. Reach out Tech support team to enable this configuration. 



## OpenAPI

````yaml /api-reference/pacb/pacb.json post /payment/v1.0/createPaymentRequest
openapi: 3.0.3
info:
  title: PACB API
  description: PACB API
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /payment/v1.0/createPaymentRequest:
    post:
      tags:
        - PACB
      summary: Create Payment Request
      description: >-
        This API is used to create a unique payment request with a specific
        amount directly to the end customer without Transact Bridge's Checkout
        page. Once the user pays the requested amount through the selected
        payment channel, the partner gets a webhook call for a successful credit
        of the same deposit. The partner then needs to send the required
        verification details for the payment using the Upload Verification
        Details API.


        Payment status and transaction verification status can be found using
        the Get Transaction API.


        **Note**: This API endpoint is not available to all partners. Reach out
        Tech support team to enable this configuration. 
      operationId: createPaymentRequest
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - quoteAmount
                - quoteCurrCode
                - referenceId
                - payMethod
              properties:
                email:
                  type: string
                  description: Customer's email. Require this to send an invoice.
                quoteAmount:
                  type: string
                  description: Amount that needs to be collected from end user
                quoteCurrCode:
                  type: string
                  description: Base currency of the **`quoteAmount`**
                phoneNo:
                  type: string
                  description: >-
                    The customer's Indian phone number in the format of
                    +91-XXXXXXXX
                name:
                  type: string
                  description: Name of the customer
                  format: AllowedString
                returnUrl:
                  type: string
                  format: uri
                  description: >-
                    If the payMethod is **`CC`**, **`DC`**, **`NB`** Then this
                    parameter is `Mandatory` needed to redirect the user after
                    the session is completed. The end customer will be
                    redirected to this URL with the status of the session.
                referenceId:
                  type: string
                  description: >-
                    This is a partner ID to map a billing session with their
                    generated ID. This cannot be the same for two sessions.
                  format: ReferenceId
                payMethod:
                  type: string
                  enum:
                    - UPI
                    - CC
                    - DC
                    - NB
                  description: >-
                    The payMethod that is to be used to collect the payment from
                    the end customer.


                    For different payMethod there are different params to send
                    the correspoding values mandatory for that payMethod.As of
                    now only UPI is supported.
                meta:
                  type: object
                  description: >-
                    To add meta params in the session. They will be passed in
                    the webhook and query API as well.
                  properties:
                    param1:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
                    param2:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
                    param3:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
      responses:
        '200':
          description: createPaymentRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createPaymentRequest'
components:
  schemas:
    createPaymentRequest:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the sessionId and URL.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.